import 'dart:async';
import 'dart:collection';

import 'package:flutter_test/flutter_test.dart';
import 'package:btlib/btlib.dart';

StreamSubscription subscription;

void main() {
  Btlib driver = Btlib();
  subscription = driver.listen(onBLEEvent);

  setUp(() {
    driver.startScan();
  });

  tearDown(() {
    driver.startScan();
  });

  test('empty()', () {
    driver.startScan();
  });
}

void onBLEEvent(Object event) {
  HashMap<String, Object> map = HashMap.from(event);
  print(map);
}
